Get all amenities
https://api.propexo.com/v1/amenities/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
The Propexo unique identifier for the unit
Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the amenity
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| propertyunits/getAmenities |
amenX123The external ID of the listing from the integration vendor
This field will always be null for ENTRATA
nullThe external ID from the integration vendor of the amenity this unit and/or property amenity is associated with
This field will always be null for ENTRATA
nullThe external ID of the property from the integration vendor
| Method |
|---|
| propertyunits/getAmenities |
property456DEPRECATED: Please use the "units" field to see the associated units with this amenity
This field will always be null for ENTRATA
nullCost in cents for the amenity
| Method |
|---|
| propertyunits/getAmenities |
2500custom_data object | nullrequired
Description of the amenity
| Method |
|---|
| propertyunits/getAmenities |
This is a description of the amenityA list of image urls associated with the amenity
| Method |
|---|
| propertyunits/getAmenities |
["http://www.example.com/image.jpg"]Whether the amenity is a unit amenity
| Method |
|---|
| propertyunits/getAmenities |
truenullThe name associated with the amenity
This field will always be null for ENTRATA
nullThe name associated with the amenity
| Method |
|---|
| propertyunits/getAmenities |
Poolunits object[]required
List of unit ids associated with the amenity
The Propexo unique identifier for the amenity
| Method |
|---|
| propertyunits/getAmenities |
clxknh5ku000008jp93vq62deThe Propexo unique identifier for the unit
| Method |
|---|
| propertyunits/getAmenities |
clxknh5ku000008jp93vq62deCost in cents for the amenity on a particular unit
| Method |
|---|
| propertyunits/getAmenities |
2500The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/amenities/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "amenX123",
"x_listing_id": null,
"x_parent_amenity_id": null,
"x_property_id": "property456",
"cost_in_cents": 2500,
"custom_data": "Unknown Type: object,null",
"description": "This is a description of the amenity",
"image_urls": [
"http://www.example.com/image.jpg"
],
"is_unit_amenity": true,
"meta_data": null,
"name_normalized": null,
"name": "Pool",
"units": [
{
"amenity_id": "clxknh5ku000008jp93vq62de",
"unit_id": "clxknh5ku000008jp93vq62de",
"cost_in_cents": 2500
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}